# Package org.apache.jmeter.protocol.tcp.sampler

Interface Summary
TCPClient: Interface required by TCPSampler for TCPClient implementations.

Class Summary
AbstractTCPClient: Basic implementation of TCPClient interface.
BinaryTCPClientImpl: TCPClient implementation.
LengthPrefixedBinaryTCPClientImpl: Implements binary length-prefixed binary data.
TCPClientDecorator: TCP Sampler Client decorator to permit wrapping base client implementations with length prefixes.
TCPClientImpl: Sample TCPClient implementation.
TCPSampler: A sampler which understands Tcp requests.

Exception Summary
ReadException: Exception that contains partial response (Text read until exception occurred)